cascading.flow.hadoop.planner.rule.expression

## Class BalanceGroupSplitTriangleExpression

- java.lang.Object
- - cascading.flow.planner.rule.RuleExpression
  - - cascading.flow.hadoop.planner.rule.expression.BalanceGroupSplitTriangleExpression

-     public class BalanceGroupSplitTriangleExpression
      extends RuleExpression

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FlowElementExpression` | `SHARED_GROUP`
    `static ElementExpression` | `SHARED_LHS`
    `static ElementExpression` | `SHARED_RHS`

    - ### Fields inherited from class cascading.flow.planner.rule.RuleExpression

      `contractedMatchExpression, contractionExpression, matchExpression`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BalanceGroupSplitTriangleExpression()`

  - ### Method Summary

    - ### Methods inherited from class cascading.flow.planner.rule.RuleExpression

      `getContractedMatchExpression, getContractionExpression, getExpressionName, getMatchExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SHARED_GROUP

          public static final FlowElementExpression SHARED_GROUP

    - #### SHARED_LHS

          public static final ElementExpression SHARED_LHS

    - #### SHARED_RHS

          public static final ElementExpression SHARED_RHS

  - ### Constructor Detail

    - #### BalanceGroupSplitTriangleExpression

          public BalanceGroupSplitTriangleExpression()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.